libass (1:0.17.1-2) unstable; urgency=medium

  [ Oneric ]
  * Revert "Revert "Add libunibreak-dev to Build-Depends""
  * Drop superfluous pgpsigurlmangle from uscan options
  * Update copyright info

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 12:52:24 +0100

libass (1:0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1 (Closes: #1032076)
    - Fix assembly on hurd-i386 (Closes: #1027750)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Mar 2023 23:41:21 +0100

libass (1:0.17.0-2) unstable; urgency=medium

  * debian/control: Revert "Add libunibreak-dev to Build-Depends"
    libunibreak1 is not MA: same.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Dec 2022 17:10:23 +0100

libass (1:0.17.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Opportunistically check upstream PGP signatures.

  [ Sebastian Ramacher ]
  * New upstream version 0.17.0
  * debian/control:
    - Also BD on nasm on any-i386 (Closes: #1012524)
    - Change to libfontconfig-dev
    - Add libunibreak-dev to Buuild-Depends
  * debian/watch: Use api.github.com
  * debian/upstream: Update upstream signing keys

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Dec 2022 10:12:09 +0100

libass (1:0.16.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Sebastian Ramacher ]
  * New upstream version 0.16.0
  * debian/watch: Use gz compressed tarballs
  * debian/control: Bump Standards-Version
  * debian/rules: Build with --with-pic on i386 and amd64

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 May 2022 10:13:02 +0200

libass (1:0.15.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Sep 2021 23:29:09 +0200

libass (1:0.15.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:10:55 +0200

libass (1:0.15.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Remove patches from upstream
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 May 2021 20:30:08 +0200

libass (1:0.15.0-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches to improve handling of embedded
    fonts (Closes: #987690)
    - Fix crashes on some files with embedded fonts
    - Fix use of embedded and memory fonts for libass users

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 May 2021 20:25:05 +0200

libass (1:0.15.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse, Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/: Bump debhelper compat to 13
  * debian/control: Bump Standards-Version
  * debian/rules: Remove obsolete flag
  * debian/copyright: Update copyright years
  * debian/libass9.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Oct 2020 17:15:34 +0100

libass (1:0.14.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat level to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 May 2018 12:30:49 +0200

libass (1:0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Replace yasm with nasm.
  * debian/: Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Nov 2017 21:00:00 +0100

libass (1:0.13.7-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Jun 2017 09:50:21 +0200

libass (1:0.13.7-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Jun 2017 21:11:29 +0200

libass (1:0.13.6-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: 5 -> 9.
  * debian/copyright: Update copyright information.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Jan 2017 09:27:16 +0100

libass (1:0.13.4-2) unstable; urgency=medium

  * Revert to 0.13.4 since 0.13.5 broke the ABI. (Closes: #850058)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 21:22:29 +0100

libass (0.13.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 00:33:28 +0100

libass (0.13.4-1) unstable; urgency=high

  * New upstream release.
    - Fix memory reallocation in the shaper. (CVE-2016-7972)
    - Fix illegal read in Gaussian blur coefficient calculations.
      (CVE-2016-7970)
    - Fix mode 0/3 line wrapping equalization in specific cases which could
      result in illegal reads while laying out and shaping text.
      (CVE-2016-7969)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Oct 2016 18:23:34 +0200

libass (0.13.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.
  * debian/copyright: Update copyright info.
  * debian/rules: Enable all hardening options.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Sep 2016 20:12:39 +0200

libass (0.13.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Vcs-*.
    - Bump Standards-Version.
  * debian/libass5.symbols: Add new symbol.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Mar 2016 12:26:45 +0100

libass (0.13.1-1) unstable; urgency=medium

  * New upstream release.
    - Added x32 support.
  * debian/control:
    - Drop libenca-dev from Build-Depends. No longer needed.
    - Add yasm back to Build-Depends on x32.
  * debian/rules:
    - Re-enable yasm on x32.
    - Explicitly disable CoreText and DirectWrite.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Dec 2015 12:23:40 +0100

libass (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libass5.symbols:
    - Add new symbol.
    - Update version of ass_set_fonts.
  * debian/copyright:
    - Add new copyright holders.
    - Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Oct 2015 20:55:19 +0200

libass (0.12.3-2) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Do not depend on yasm on x32 to disable asm. (Closes: #793754)

  [ Sebastian Ramacher ]
  * debian/rules: Build with --disable-asm on x32.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2015 18:04:26 +0200

libass (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2015 18:08:04 +0200

libass (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 May 2015 20:34:24 +0200

libass (0.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 10:43:49 +0200

libass (0.12.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Disable yasm on any-i386 to avoid non-PIC code.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Jan 2015 18:26:04 +0100

libass (0.12.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Add myself to Uploaders.
    - Update Homepage.
    - Raise priority to optional.
    - Bump Standards-Version, no changes required.
    - Build-Depend on yasm.
  * debian/*.dirs: Remove obsolete dirs files.
  * debian/libass5.symbols: Add new symbols.
  * debian/rules:
    - Enable verbose build logs.
    - Add -Wl,--as-needed to LDFLAGS.
  * debian/watch: Fetch releases from GitHub.
  * debian/copyright:
    - Update copyright years.
    - Update Source.
    - Add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Nov 2014 16:26:39 +0100

libass (0.10.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Jul 2014 11:41:09 +0100

libass (0.10.2-2) experimental; urgency=low

  * libass-dev Depends on libharfbuzz-dev. (Closes: #752774)

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Jul 2014 11:42:15 +0100

libass (0.10.2-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Bump SONAME.
  * Refresh symbols.
  * Depend on libharfbuzz-dev.
  * Bump debhelper to 9.
  * Switch to dh-autoreconf.
  * Drop 05_as-needed.diff patch.
  * Pass --as-needed to autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 10:00:00 +0100

libass (0.10.1-3) unstable; urgency=low

  * Team upload.
  * Use autotols-dev to update config.{guess,sub}.
    Thanks to Colin Watson for the report and patch. (Closes: #726337)

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Oct 2013 17:43:11 +0100

libass (0.10.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Update debian/copyright.
  * Fix VCS urls.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Sep 2013 09:59:35 +0100

libass (0.10.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release:
    - Fix letter spacing
    - Add \rSTYLENAME syntax support (GC #43)
    - Fix border generation and border style reset (GC #56)
    - Fix various issues with bug-for-bug compatibility of
      transformations (\fax, \fay, etc.) to VSFilter (GC #46, GC #42)
    - Fix drawing parsing (GC #47)
    - Various fixes to shaper (GC #54, GC #55, GC#59)
    - Fix change detection
    - Add ass_set_line_position API to set a vertical subtitle offset
    - Fix scaling of drawing baseline offset (\pbo) values
    - Fix skipping of zero-width characters for FriBiDi shaper
    - Use LTR text base direction by default, similar to VSFilter
  * Refresh symbols.
  * Fix watch file.
  * Set compression to xz.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Dec 2012 01:48:10 +0000

libass (0.10.0-3) unstable; urgency=low

  * Team upload.
  * Build with Multiarch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 02:03:01 +0100

libass (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Add libfribidi-dev to libass-dev's Depends field (Closes: #646504).

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Dec 2011 15:04:09 +0100

libass (0.10.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #645314).
  * Build-depend on libfribidi-dev.
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 18 Oct 2011 12:45:51 +0200

libass (0.9.13-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release (Closes: #636490):
    - Fix critical problem with the outline preprocessor, fixes crash with
      FreeType 2.4.6
    - Various small bugfixes.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Aug 2011 09:39:23 +0200

libass (0.9.12-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Switch to permissive (ISC) license
    - Support \fs+ and \fs- syntax for modifying font size
    - Fix word-wrapping
    - Improved charmap fallback matching
    - Handle a few more VSFilter quirks correctly
    - Add a sensible default style
    - Fix compilation against libpng 1.5
  * Rewrite debian/copyright
    - License changed to ISC.
    - Use a DEP-5-compliant format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Jun 2011 12:35:45 +0200

libass (0.9.11-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
    + Refresh patch
    + Add new symbols to symbol file
  * Switch to format 3.0 (quilt)
  * Use bzip2 tarball
  * Bump Standards-Version to 3.9.1 (no changes required)
  * Use googlecode.debian.net redirector

  [ Alessio Treglia ]
  * debian/control: Correct team's name.

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 18 Aug 2010 20:34:12 +0100

libass (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version (no change needed)
  * Add misc:Depends to libass-dev's depedencies to silence lintian
  * Typo at ${misc:Depends}
  * Inherit libass4's section from the source package
  * Remove unused patch
  * Use Copyright as well as (C) in debian/copyright

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 17 Mar 2010 21:18:56 +0000

libass (0.9.8-1) unstable; urgency=low

  * New upstream release 0.9.8

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 19 Oct 2009 12:17:39 +0200

libass (0.9.7-3) unstable; urgency=low

  * Have libass-dev depends on libenca-dev, libfreetype6-dev and
    libfontconfig1-dev

 -- Christophe Mutricy <xtophe@videolan.org>  Sun, 20 Sep 2009 14:54:31 +0100

libass (0.9.7-2) unstable; urgency=low

  * Upload to unstable

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 02 Sep 2009 18:19:35 +0200

libass (0.9.7-1) experimental; urgency=low

  * New upstream version 0.9.7
    + Closes: #538648
    + API break. Target experimental for now
    + SONAME bump
    + Update symbols file
    + Build system has been fixed no need of extra "-lm"
    + Reflect new home of the project (debian/{control,watch}
  * Set policy to 3.8.3
  * Add -Wl,--as-needed to debian/rules and the necessary patch for
    ltmain.sh
  * No info page (and unlikely to be one)
  * No need for maintainer mode
  * No need of libpng-dev it's only for the test app

 -- Christophe Mutricy <xtophe@videolan.org>  Sat, 22 Aug 2009 12:38:46 +0100

libass (0.9.6-1) unstable; urgency=low

  * New Upstream Version 0.9.6
    (Closes: #514311, #519578, #519607)
    + SONAME bump
    + Patch has been merged upstream
  * Don't use dh_clean -k
  * Use --enable-maintainer-mode
  * Policy version 3.8.1
  * Remove autotools-dev from build-dep
  * Point to the good version of the GPL
  * Add a symbols file
  * Add a configuration file for git-buildpackage
  * Vcs-*: Reflect the move to git

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 26 Mar 2009 20:59:14 +0100

libass (0.9.5-2) unstable; urgency=low

  * Don't install .la files

 -- Christophe Mutricy <xtophe@videolan.org>  Thu, 06 Nov 2008 21:55:46 +0100

libass (0.9.5-1) unstable; urgency=low

  * Initial release (Closes: #496560)

 -- Christophe Mutricy <xtophe@videolan.org>  Mon, 25 Aug 2008 17:17:14 +0100
